# frozen_string_literal: true

# Only used for local/test dev work where gitlab-ee is not installed
# For deployments, run with the embedded ruby `/opt/gitlab/embedded/bin/ruby`
# without `bundle` and it will use the omnibus packaged gems.
#
# If we use a custom Gemfile and Gemfile.lock in for-real execution, we run into
# difficulty keeping them synced with the deployed application, particularly when
# gitlab-ee is *not* regularly upgraded on the redis nodes
#
# This means we are explicitly tied to only gems used by the main gitlab rails
# app but this is fine so far
source "https://rubygems.org"

git_source(:github) {|repo_name| "https://github.com/#{repo_name}" }

gem "redis", "~> 4.0"
gem "fog-google", "~> 1.9"
